## org.red5.server.so
Enum ISharedObjectEvent.Type

    java.lang.Object
      java.lang.Enum<ISharedObjectEvent.Type>
          org.red5.server.so.ISharedObjectEvent.Type

All Implemented Interfaces:
  Serializable, Comparable<ISharedObjectEvent.Type>

Enclosing interface:
  ISharedObjectEvent

    public static enum ISharedObjectEvent.Type

extends Enum<ISharedObjectEvent.Type>

Enum Constant Summary
`CLIENT_CLEAR_DATA`
`CLIENT_DELETE_ATTRIBUTE`
`CLIENT_DELETE_DATA`
`CLIENT_INITIAL_DATA`
`CLIENT_SEND_MESSAGE`
`CLIENT_STATUS`
`CLIENT_UPDATE_ATTRIBUTE`
`CLIENT_UPDATE_DATA`
`SERVER_CONNECT`
`SERVER_DELETE_ATTRIBUTE`
`SERVER_DISCONNECT`
`SERVER_SEND_MESSAGE`
`SERVER_SET_ATTRIBUTE`

Method Summary
`static ISharedObjectEvent.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ISharedObjectEvent.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SERVER_CONNECT

    public static final ISharedObjectEvent.Type SERVER_CONNECT

### SERVER_DISCONNECT

    public static final ISharedObjectEvent.Type SERVER_DISCONNECT

### SERVER_SET_ATTRIBUTE

    public static final ISharedObjectEvent.Type SERVER_SET_ATTRIBUTE

### SERVER_DELETE_ATTRIBUTE

    public static final ISharedObjectEvent.Type SERVER_DELETE_ATTRIBUTE

### SERVER_SEND_MESSAGE

    public static final ISharedObjectEvent.Type SERVER_SEND_MESSAGE

### CLIENT_CLEAR_DATA

    public static final ISharedObjectEvent.Type CLIENT_CLEAR_DATA

### CLIENT_DELETE_ATTRIBUTE

    public static final ISharedObjectEvent.Type CLIENT_DELETE_ATTRIBUTE

### CLIENT_DELETE_DATA

    public static final ISharedObjectEvent.Type CLIENT_DELETE_DATA

### CLIENT_INITIAL_DATA

    public static final ISharedObjectEvent.Type CLIENT_INITIAL_DATA

### CLIENT_STATUS

    public static final ISharedObjectEvent.Type CLIENT_STATUS

### CLIENT_UPDATE_DATA

    public static final ISharedObjectEvent.Type CLIENT_UPDATE_DATA

### CLIENT_UPDATE_ATTRIBUTE

    public static final ISharedObjectEvent.Type CLIENT_UPDATE_ATTRIBUTE

### CLIENT_SEND_MESSAGE

    public static final ISharedObjectEvent.Type CLIENT_SEND_MESSAGE

Method Detail

### values

    public static ISharedObjectEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ISharedObjectEvent.Type c : ISharedObjectEvent.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ISharedObjectEvent.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2006-2010 The Red5 Project